System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum

The values are used by the parameter direction properties of and .

Specifies the type of a parameter within a query relative to the .

- Field
  System.Data.ParameterDirection To be added

  The parameter is an input parameter.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.ParameterDirection To be added

  The parameter is capable of both input and output.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.ParameterDirection To be added

  The parameter is an output parameter.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.ParameterDirection To be added

  The parameter represents a return value from an operation such as a stored procedure, built-in function, or user-defined function.

  1.0.5000.0
  2.0.0.0